<?php
/*************************************************************************************/
/*                                                                                   */
/*      Thelia	                                                            		 */
/*                                                                                   */
/*      Copyright (c) Octolys Development		                                     */
/*		email : thelia@octolys.fr		        	                             	 */
/*      web : http://www.octolys.fr						   							 */
/*                                                                                   */
/*      This program is free software; you can redistribute it and/or modify         */
/*      it under the terms of the GNU General Public License as published by         */
/*      the Free Software Foundation; either version 2 of the License, or            */
/*      (at your option) any later version.                                          */
/*                                                                                   */
/*      This program is distributed in the hope that it will be useful,              */
/*      but WITHOUT ANY WARRANTY; without even the implied warranty of               */
/*      MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the                */
/*      GNU General Public License for more details.                                 */
/*                                                                                   */
/*      You should have received a copy of the GNU General Public License            */
/*      along with this program; if not, write to the Free Software                  */
/*      Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA    */
/*                                                                                   */
/*************************************************************************************/
?>
<?php

include_once(realpath(dirname(__FILE__)) . "/../../../classes/PluginsClassiques.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Produit.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Rubrique.class.php");

include_once(realpath(dirname(__FILE__)) . "/../../../classes/Rubriquedesc.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Client.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Dossier.class.php");


include_once(realpath(dirname(__FILE__)) . "/../../../classes/Dossierdesc.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Contenu.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Contenudesc.class.php");


include_once(realpath(dirname(__FILE__)) . "/../../../classes/Produitdesc.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Modules.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Venteprod.class.php");


include_once(realpath(dirname(__FILE__)) . "/../../../classes/Caracteristique.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Rubcaracteristique.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Caracval.class.php");


include_once(realpath(dirname(__FILE__)) . "/../../../classes/Caracdisp.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Rubdeclinaison.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Declinaison.class.php");

include_once(realpath(dirname(__FILE__)) . "/../../../classes/Declinaisondesc.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Declidisp.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Declidispdesc.class.php");


include_once(realpath(dirname(__FILE__)) . "/../../../classes/Stock.class.php");
include_once(realpath(dirname(__FILE__)) . "/../../../classes/Perso.class.php");



class Planifier extends PluginsClassiques{

		var $id;
		var $produit;
		var $datedeb;
		var $datefin;
		var $type;
		var $dernier;
		
		var $promo = "2";
		var $ligne = "1";
		
		var $table = "planifier";
		var $bddvars = array("id", "produit", "datedeb", "datefin", "type", "dernier");
		
		function Planifier(){
			$this->PluginsClassiques();	
		}
	
		function init(){
			$cnx = new Cnx();
			$query = "CREATE TABLE IF NOT EXISTS `" . $this->table . "` (
			  `id` int(11) NOT NULL auto_increment,
			  `produit` text NOT NULL,
			  `datedeb` text NOT NULL,
			  `datefin` text NOT NULL,
			  `type` text NOT NULL,
		          `dernier` smallint(6) NOT NULL,
			  PRIMARY KEY  (`id`)
			) ;";
			
			mysql_query($query, $cnx->link);

		}
		
		function charger($id){
			return $this->getVars("select * from $this->table where id=\"$id\"");
		}
		
		function charger_ref_type($ref, $type){
			return $this->getVars("select * from $this->table where produit=\"$ref\" and type=\"$type\"");
		}
		
		
		
		/*function boucle($texte, $args){
			// rcupration des arguments
			$ref= lireTag($args, "ref");

			$search ="";
			$res="";

			// prparation de la requte
			if($ref!="")  $search.=" and produit=\"$ref\"";

			$plan = new Planifier();	

			$query_plan = "select * from $plan->table where dernier=1 ".$search;
			$resul_plan = mysql_query($query_plan, $plan->link);
			$nbres = mysql_numrows($resul_plan);
			if(!$nbres) return "";

			while( $row = mysql_fetch_object($resul_plan)){
				$temp = str_replace("#REFPROD", "$row->ref", $texte);
				$temp = str_replace("#DATEFIN", "$row->datefin", $temp);

				$res .= $temp;
			}

			return $res;
	
		}	*/
		
		function boucle($texte, $args, $type=0){
			global $page, $totbloc, $ref, $pagesess;
			
			
			// rcupration des arguments
			$rubrique = lireTag($args, "rubrique");
			$deb = lireTag($args, "deb");
			$num = lireTag($args, "num");
			$passage = lireTag($args, "passage");
			$ligne = lireTag($args, "ligne");
			$bloc = lireTag($args, "bloc");
			$nouveaute = lireTag($args, "nouveaute");
			$promo = lireTag($args, "promo");
			$reappro = lireTag($args, "reappro");
			$refp = lireTag($args, "ref");
			$id = lireTag($args, "id");
			$garantie = lireTag($args, "garantie");
			$motcle = lireTag($args, "motcle");
			$classement = lireTag($args, "classement");
			$aleatoire = lireTag($args, "aleatoire");
			$prixmin = lireTag($args, "prixmin");
			$prixmax = lireTag($args, "prixmax");
			$caracteristique = lireTag($args, "caracteristique");
			$caracdisp = lireTag($args, "caracdisp");
			$caracval = lireTag($args, "caracval");
			$typech = lireTag($args, "typech");
			$declinaison = lireTag($args, "declinaison");			
			$declidisp = lireTag($args, "declidisp");
			$declival = lireTag($args, "declival");
			$declistockmini = lireTag($args, "declistockmini");
			$stockmini = lireTag($args, "stockmini");
			$courant = lireTag($args, "courant");
			$profondeur = lireTag($args, "profondeur");		
			$exclusion = lireTag($args, "exclusion");
			$exclurub = lireTag($args, "exclurub");			
			$poids = lireTag($args, "poids");
			$stockvide = lireTag($args, "stockvide");
			$forcepage = lireTag($args, "forcepage");
			//$datedeb = lireTag($args, "datedeb");
			//$datefin = lireTag($args, "datefin");
			$planification = lireTag($args, "planification");
						
						
			if($bloc) $totbloc=$bloc;
			if($deb) $debsave = $deb;
			else $debsave = 0;
			
			if(!$deb) $deb=0;
			
			if($page) $_SESSION['navig']->page = $page;
			if($pagesess == 1) $page =  $_SESSION['navig']->page;
			
			if(!$page ||  $page==1 ) $page=0; 
			
			if(!$totbloc) $totbloc=1;
			if($page) $deb = ($page-1)*$totbloc*$num+$deb; 

			if($forcepage != "") {
				if($forcepage == 1){
					$forcepage = 0;
					$deb = 0;
				}	
				
				if($forcepage) $deb = ($forcepage-1)*$totbloc*$num+$deb;
			}
				
			// initialisation de variables
			$search = "";
			$order = "";
			$comptbloc=0;
			$limit="";
			$pourcentage="";
			$res="";
			$virg="";
			
			// preparation de la requete
			
			if($courant == "1") $search .= " and ref=\"$ref\"";
			else if($courant == "0") $search .= " and ref<>\"$ref\"";
			
			if($exclusion!="") $search .= " and id not in($exclusion)";
			if($exclurub!="") $search .= " and rubrique not in($exclurub)";
			
			if($rubrique!=""){
				$srub = "";
				
				if($profondeur == "") $profondeur=0;
				$tabrub = explode(",", $rubrique);
				for($compt = 0; $compt<count($tabrub); $compt++){
					$rec = arbreBoucle($tabrub[$compt], $profondeur);
					if(substr($rec, strlen($rec)-1) == ",") $rec = substr($rec, 0, strlen($rec)-1);
					if($rec) $virg=",";
					$srub .= $tabrub[$compt] . $virg . $rec . $virg;
				}
				if(substr($srub, strlen($srub)-1) == ",")
					$srub = substr($srub, 0, strlen($srub)-1);
				 $search .= " and rubrique in($srub)";
			}
			
			if($ligne == "") $ligne="1";

			$search .= " and ligne=\"$ligne\"";
			if($id!="") $search .= " and id in ($id)";	 
			if($nouveaute!="") $search .= " and nouveaute=\"$nouveaute\"";
			if($promo!="") $search .= " and promo=\"$promo\"";
			if($reappro!="") $search .= " and reappro=\"$reappro\"";
			if($garantie!="") $search .= " and garantie=\"$garantie\"";
			if($prixmin!="") $search .= " and ((prix2>=\"$prixmin\" and promo=\"1\") or (prix>=\"$prixmin\" and promo=\"0\"))";
			if($prixmax!="") $search .= " and ((prix2<=\"$prixmax\" and promo=\"1\") or (prix<=\"$prixmax\" and promo=\"0\"))";
			if($poids!="") $search .= " and poids<=\"$poids\"";
			if($stockmini!="" && $declistockmini == "") $search .= " and stock>=\"$stockmini\"";

			if (""!=$stockvide) {
				if (0 < $stockvide) { $search .= " and stock<=\"0\""; }
				elseif (0 >= $stockvide) { $search .= " and stock>\"0\""; }
			}
									
			if($refp!="") $search .= " and ref=\"$refp\"";
			
			$dateauj = date('d/m/Y');
			
			
			/*if ($planification == 1) {
				$search .= " and datedeb<=\"$dateauj\"";
				$search .= " and datefin>\"$dateauj\"";
			}*/

			if($bloc == "-1") $bloc = "999999999";
			if($bloc!="" && $num!="") $limit .= " limit $deb,$bloc";
			else if($num!="") $limit .= " limit $deb,$num";
			
			if($aleatoire) $order = "order by "  . " RAND()";
			else if($classement == "prixmin") $order = "order by "  . " prix";
			else if($classement == "prixmax") $order = "order by "  . " prix desc";
			else if($classement == "rubrique") $order = "order by "  . " rubrique";
			else if($classement == "manuel") $order = "order by classement";
			else if($classement == "inverse") $order = "order by classement desc";
			else if($classement == "date") $order = "order by datemodif desc";
			else if($classement == "titre") $order = "order by titre";
            else if($classement == "titreinverse") $order = "order by titre desc";
            else if($classement == "ref") $order = "order by ref";
            else if($classement == "promo") $order = "order by promo desc";
			else $order = "order by classement";
			
		
			
			$produit = new Produit();
			/* Demande de caracteristiques */
			if($caracdisp != ""){
			
			if(! strstr($caracteristique, "-")) $caracteristique .= "-";
			if(! strstr($caracdisp, "-")) $caracdisp .= "-";
			
			$lcaracteristique = explode("-", $caracteristique);
			$lcaracdisp = explode("-", $caracdisp);
			
			$i = 0;

			$tcaracval = new Caracval();

			while($i<count($lcaracteristique)-1){
				$caracteristique = $lcaracteristique[$i];
				$caracdisp = $lcaracdisp[$i];
				if($caracdisp == "*")
					$query = "select * from $tcaracval->table where caracteristique='$caracteristique' and caracdisp<>''";
				else if($caracdisp == "-")	$query = "select * from $tcaracval->table where caracteristique='$caracteristique' and caracdisp=''";
				else $query = "select * from $tcaracval->table where caracteristique='$caracteristique' and caracdisp='$caracdisp'";

				$resul = mysql_query($query);
				if(!mysql_num_rows($resul)) return;
				
				$liste="";
				
				while($row = mysql_fetch_object($resul))
					$liste .= "'$row->produit', ";
			
				$liste = substr($liste, 0, strlen($liste) - 2);
				
				$i++;
				
				if($liste!="") $search .= " and $produit->table.id in($liste)";	
				else return "";
			}

			

		}	

			if($caracval != ""){
			
			$i = 0;
			$liste="";

			$tcaracval = new Caracval();

				if($caracval == "*") $query = "select * from $tcaracval->table where caracteristique='$caracteristique' and valeur<>''";
				else if($caracval == "-") $query = "select * from $tcaracval->table where caracteristique='$caracteristique' and valeur=''";
				else if($typech == "like") $query = "select * from $tcaracval->table where caracteristique='$caracteristique' and valeur like '$caracval'";
				else $query = "select * from $tcaracval->table where caracteristique='$caracteristique' and valeur ='$caracval'";

				$resul = mysql_query($query);
				
				$liste="";
				
				while($row = mysql_fetch_object($resul))
					$liste .= "'$row->produit', ";
				$liste = substr($liste, 0, strlen($liste) - 2);
				
				$i++;
			
			
			if($liste!="") $search .= " and $produit->table.id in($liste)";	
			else return "";
		}	


			/* Demande de declinaisons */
			if($declidisp != ""){

			if(! strstr($declinaison, "-")) $declinaison .= "-";
			if(! strstr($declidisp, "-")) $declidisp .= "-";
			if(! strstr($ldeclistockmini, "-")) $ldeclistockmini .= "-";
				
			$ldeclinaison = explode("-", $declinaison);
			$ldeclidisp = explode("-", $declidisp);
			$ldeclistockmini = explode("-", $declistockmini);
			
			$i = 0;
			$liste="";
			$exdecprod = new Exdecprod();
			$stock = new Stock();

			while($i<count($ldeclinaison)-1){

				$declinaison = $ldeclinaison[$i];
				$declidisp = $ldeclidisp[$i];
				$declistockmini = $ldeclistockmini[$i];
				
		 		$query = "select * from $exdecprod->table where declidisp='$declidisp'";
				$resul = mysql_query($query);
		
				if(mysql_num_rows($resul)) 
						while($row = mysql_fetch_object($resul))
							$liste .= "'$row->produit', ";
	
				if($liste!="") {
						$liste = substr($liste, 0, strlen($liste) - 2);
						$search .= " and $produit->table.id not in($liste)";
				}	
		
				$liste="";
				
				if($declistockmini != ""){
					$query = "select * from $stock->table where declidisp='$declidisp' and valeur>='$declistockmini'";
					$resul = mysql_query($query);

					if(mysql_num_rows($resul)) 
							while($row = mysql_fetch_object($resul))
								$liste .= "'$row->produit', ";

					if($liste!="") {
								$liste = substr($liste, 0, strlen($liste) - 2);
								$search .= " and $produit->table.id in($liste)";
					}
					else return "";
				}	
			
				$i++;

			}
		
		}
				
			$produit = new Produit();
			$produitdesc = new Produitdesc();
			
		
			if($motcle){
				$motcle = strip_tags($motcle);
				$liste="";
				
  				$query = "select * from $produitdesc->table  LEFT JOIN $produit->table ON $produit->table.id=$produitdesc->table.produit WHERE $produit->table.ref='$motcle' or titre like '% $motcle%' or titre like '%$motcle %' OR titre='$motcle' OR chapo like '% $motcle%' OR chapo like '%$motcle %' OR description like '% $motcle%' OR description like '%$motcle %' OR postscriptum like '% $motcle%' OR postscriptum like '%$motcle %'";
			
			    $resul = mysql_query($query, $produitdesc->link);
				$nbres = mysql_num_rows($resul);

			
				if(!$nbres) return "";
				
			
				while( $row = mysql_fetch_object($resul) ){
					$liste .= "'$row->produit', ";
				}
			
				$liste = substr($liste, 0, strlen($liste) - 2);
				$search .= "and $produit->table.id in ($liste)";
			
			}
			
			
			
			
			$plan = new Planifier();
			
		
			if($planification == 1){
				
				
				// tous les produits sans ligne dans la table planifier
				$query="select ref from $plan->table RIGHT JOIN $produit->table ON $produit->table.ref= $plan->table.produit WHERE $plan->table.produit is NULL";
				$resul = mysql_query($query);
				
				
				$liste="";
				
				while($row = mysql_fetch_object($resul))
				$liste .= "'$row->ref', ";
				
		
				
				//$query = "select * from $plan->table where datedeb <= \"$dateauj\" and datefin > \"$dateauj\"";
				
				$query = "select * from $plan->table where (datedeb <= \"$dateauj\" and datefin > \"$dateauj\") OR (datedeb=\"\" and datefin=\"\") OR (datedeb <= \"$dateauj\" and datefin=\"\") OR (datedeb=\"\" and datefin > \"$dateauj\")";
				
				$resul = mysql_query($query);
		
				
		
				while($row = mysql_fetch_object($resul))
				$liste .= "'$row->produit', ";
				$liste = substr($liste, 0, strlen($liste) - 2);
		
			
				if($liste!="") $search .= " and $produit->table.ref in($liste)";	
				else return "";
			
			}
			
			if ($planification == 2) {
				
				$query="select * from $plan->table where datefin < \"$dateauj\" order by datefin desc limit 0,1";
				
				$resul = mysql_query($query);
				
				$liste="";
				
				while($row = mysql_fetch_object($resul))
				$liste .= "'$row->produit', ";
				
				$liste = substr($liste, 0, strlen($liste) - 2);
		
			
				if($liste!="") $search .= " and $produit->table.ref in($liste)";	
				else return "";
				
				
			}
		
		
		if($classement != "titre" && $classement != "titreinverse"){
			$query = "select * from $produit->table where 1 $search $order $limit";
			
			
			$classement = "produit";
	    }
	
		else {
			$query = "select * from $produit->table, $produitdesc->table where $produit->table.id=$produitdesc->table.produit and $produitdesc->table.lang=\"" . $_SESSION['navig']->lang . "\" $search $order $limit";
			$classement = "produitdesc";
		}
            
		$resul = mysql_query($query, $produit->link);
		$nbres = mysql_num_rows($resul);
		$saveReq = "select * from $produit->table where 1 $search";

		if(!$nbres) return "";
		// substitutions
		if($type) return $query;
		
		$saveReq = str_replace("*", "count(*) as totcount", $saveReq);
		$saveRes = mysql_query($saveReq);
		$countRes = mysql_result($saveRes, 0, "totcount") . " ";
	
		$compt = 0;
		
		while( $row = mysql_fetch_object($resul) ){
			
			$compt++;
			
			if($passage != "" && $comptbloc>$passage-1)
			      break;
			
			if($num>0) 
				if($comptbloc>=ceil($countRes/$num) && $bloc!="") continue;

			if($comptbloc == 0) $debcourant=0;
			else $debcourant = $num * ($comptbloc);
			$comptbloc++;
						
			if($classement == "produit")
				$prodid = $row->id;
			else 
				$prodid = $row->produit.id;
				
			$rubriquedesc = new Rubriquedesc();
			$rubriquedesc->charger($row->rubrique, $_SESSION['navig']->lang);
		
			$produitdesc->charger($prodid, $_SESSION['navig']->lang);
				
			$temp = $texte;
			
			if( $row->promo == "1" ) $temp = preg_replace("/\#PROMO\[([^]]*)\]\[([^]]*)\]/", "\\1", $temp);
	 		else $temp = preg_replace("/\#PROMO\[([^]]*)\]\[([^]]*)\]/", "\\2", $temp);
	 		
			if( $row->promo == "1" && $row->prix) $pourcentage =  ceil((100 * ($row->prix - $row->prix2)/$row->prix));

			$prixorig = $row->prix;
			$prix2orig = $row->prix2;
			
			$prix = $row->prix - ($row->prix * $_SESSION['navig']->client->pourcentage / 100);
			$prix2 = $row->prix2 - ($row->prix2 * $_SESSION['navig']->client->pourcentage / 100);
			
			$ecotaxe = $row->ecotaxe;
			
			$pays = new Pays();
			$pays->charger($_SESSION['navig']->client->pays);
			
			$zone = new Zone();
			$zone->charger($pays->zone);
			
			$prixht = $prix/(1+$row->tva/100);
			$prix2ht = $prix2/(1+$row->tva/100);
			$prixoright = $prixorig/(1+$row->tva/100);
			$prix2oright = $prix2orig/(1+$row->tva/100);			
			
			$ecotaxeht = $row->ecotaxe/(1+$row->tva/100);
				
			
			$prix = round($prix, 2);
			$prix2 = round($prix2, 2);
			$prixht = round($prixht, 2);
			$prix2ht = round($prix2ht, 2);
			$prixorig = round($prixorig, 2);
			$prix2orig = round($prix2orig, 2);
			$prixoright = round($prixoright, 2);
			$prix2oright = round($prix2oright, 2);
								
			$prix = number_format($prix, 2, ".", ""); 
			$prix2 = number_format($prix2, 2, ".", ""); 
			$prixht = number_format($prixht, 2, ".", ""); 
			$prix2ht = number_format($prix2ht, 2, ".", ""); 
			$prixorig = number_format($prixorig, 2, ".", ""); 
			$prix2orig = number_format($prix2orig, 2, ".", ""); 
			$prixoright = number_format($prixoright, 2, ".", ""); 
			$prix2oright = number_format($prix2oright, 2, ".", "");
			
			if($deb != "" && !$page) $debcourant+=$deb-1;
			
			$temp = str_replace("#REF", "$row->ref", $temp);
			$temp = str_replace("#COMPT", "$compt", $temp);
			$temp = str_replace("#DATE", substr($row->datemodif, 0, 10), $temp);
			$temp = str_replace("#HEURE", substr($row->datemodif, 11), $temp);
			$temp = str_replace("#DEBCOURANT", "$debcourant", $temp);
			$temp = str_replace("#ID", "$prodid", $temp);	
			$temp = str_replace("#PRIX2ORIGHT", "$prix2oright", $temp);	
			$temp = str_replace("#PRIX2ORIG", "$prix2orig", $temp);	
			$temp = str_replace("#PRIXORIGHT", "$prixoright", $temp);				
			$temp = str_replace("#PRIXORIG", "$prixorig", $temp);
			$temp = str_replace("#PRIX2HT", "$prix2ht", $temp);	
			$temp = str_replace("#PRIX2", "$prix2", $temp);	
			$temp = str_replace("#PRIXHT", "$prixht", $temp);				
			$temp = str_replace("#PRIX", "$prix", $temp);
			$temp = str_replace("#PROMO", "$row->promo", $temp);	
			$temp = str_replace("#TVA", "$row->tva", $temp);	
			$temp = str_replace("#ECOTAXEHT", "$ecotaxeht", $temp);	
			$temp = str_replace("#ECOTAXE", "$row->ecotaxe", $temp);	
			$temp = str_replace("#STOCK", "$row->stock", $temp);	
			$temp = str_replace("#POURCENTAGE", "$pourcentage", $temp);	
			$temp = str_replace("#RUBRIQUE", "$row->rubrique", $temp);			
			$temp = str_replace("#PERSO", "$row->perso", $temp);			
			$temp = str_replace("#APPRO", "$row->appro", $temp);			
			$temp = str_replace("#POIDS", "$row->poids", $temp);			
			$temp = str_replace("#TITRE", "$produitdesc->titre", $temp);
			$temp = str_replace("#STRIPTITRE", strip_tags($produitdesc->titre), $temp);	
			$temp = str_replace("#CHAPO", "$produitdesc->chapo", $temp);	
			$temp = str_replace("#STRIPCHAPO", strip_tags($produitdesc->chapo), $temp);	
			$temp = str_replace("#DESCRIPTION", html_entity_decode(str_replace("../","",$produitdesc->description)), $temp);
			$temp = str_replace("#POSTSCRIPTUM", "$produitdesc->postscriptum", $temp);	
			$temp = str_replace("#STRIPDESCRIPTION", strip_tags($produitdesc->description), $temp);	
			$temp = str_replace("#URL", "produit.php?ref=" . "$row->ref" . "&amp;id_rubrique=" . "$row->rubrique", $temp);	
			$temp = str_replace("#REWRITEURL", rewrite_prod("$row->ref"), $temp);	
			$temp = str_replace("#GARANTIE", "$row->garantie", $temp);			
			$temp = str_replace("#PANIERAPPEND", "panier.php?action=" . "ajouter" . "&amp;" . "ref=" . "$row->ref" . "&amp;" . "append=1", $temp);	
			$temp = str_replace("#PANIER", "panier.php?action=" . "ajouter" . "&amp;" . "ref=" . "$row->ref" , $temp);	
			$temp = str_replace("#RUBTITRE", "$rubriquedesc->titre", $temp);
			
			$plan->charger_ref_type("$row->ref",'1');
			$temp = str_replace("#LEDEB", "$plan->datedeb", $temp);
			$temp = str_replace("#LAFIN", "$plan->datefin", $temp);
			
			
			$res .= $temp;
			
		}
	

		return $res;
	
	}

}


?>
